#include <windows.h>
#include <vfw.h>

static char szAppName[]="MCIWnd";
static HWND hwnd;

// =====================================
// Функция WinMain
// =====================================
int PASCAL
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
        LPSTR lpszCmdLine, int nCmdShow)
{
   MSG msg;
   WORD wVersion;

   // Проверяем версию Video for Windows
   wVersion = HIWORD(VideoForWindowsVersion());
   if(wVersion < 0x010a)
   {
     MessageBox(NULL, "Используйте Video for Windows"
        " версии 1.1 или более поздней версии",
        "MCIWnd Error", MB_OK | MB_ICONHAND);
     return FALSE;
   }

   // Создаем окно класса MCIWND
   hwnd = MCIWndCreate(NULL, hInstance,
            MCIWNDF_SHOWNAME | MCIWNDF_SHOWMODE |
            WS_OVERLAPPEDWINDOW | WS_VISIBLE, NULL);

   if(hwnd == NULL)
     return -1;

   // Устанавливаем заголовок окна
   SetWindowText(hwnd, szAppName);

   // Запускаем цикл обработки сообщений
   while (GetMessage(&msg,NULL,0,0))
   {
      TranslateMessage(&msg);
      DispatchMessage(&msg);

      if (!IsWindow(hwnd))
          PostQuitMessage(0);
   }
   return msg.wParam;
}
